<?php
/****************************************************************************************
SMI (Services Maintenance Interventions) est une gestion libre de maintenance et de SAV

Version 0.9.6
Copyright (C) 2006  Sylvain FATOME

This program is free software; you can redistribute it and/or modify it under the terms
of the GNU General Public License as published by the Free Software Foundation; 
either version 2 of the License, or (at your option) any later version.

This program is distributed in the hope that it will be useful, but WITHOUT ANY WARRANTY; 
without even the implied warranty of MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.
See the GNU General Public License for more details.

You should have received a copy of the GNU General Public License along with this program
(in the directory docs); 
if not, write to the Free Software Foundation, Inc., 51 Franklin Street, Fifth Floor, 
Boston, MA  02110-1301, USA.

Contact : galawa@free.fr
****************************************************************************************/

include ("../inc/config.inc.php");
?>
<?php require ("../inc/func.inc.php") ?>
<?php require ("../inc/func_log.inc.php") ?>
<?php include ("../inc/func_txt.inc.php") ?>
<?php require ("../inc/fic.inc.php") ?>
<?PHP
	Archivelog(@$HTTP_SESSION_VARS["code_log"]);
?>
<?php
	 	// Variables Formulaire + Contrôler action à effectuer
		if (strip_tags(trim(@$_POST["enr"])) == "Enregistrer")
			$typaction = "add";
		if (strip_tags(trim(@$_POST["mod"])) == "Modifier")
			$typaction = "edit";
		if (strip_tags(trim(@$_POST["del"])) == "Supprimer")
			$typaction = "del";

		$titre = strip_tags(trim(@$_POST["titre"]));

		$idscli = strip_tags(trim(@$_POST["id"]));
		$code = strip_tags(trim(@$_POST["cc"]));
		$ste = str_majuscules(strip_tags(trim(@$_POST["ste"])));
		$adr1 = str_majuscules(strip_tags(trim(@$_POST["adr1"])));
		$adr2 = str_majuscules(strip_tags(trim(@$_POST["adr2"])));
		$dep = str_majuscules(strip_tags(trim(@$_POST["dep"])));
		$ville = str_majuscules(strip_tags(trim(@$_POST["ville"])));
		$pays = str_majuscules(strip_tags(trim(@$_POST["pays"])));
		$telf = strip_tags(trim(@$_POST["telf"]));
		$fax = strip_tags(trim(@$_POST["fax"]));
		$email = strtolower(strip_tags(trim(@$_POST["email"])));
		$rcivil = str_majuscules(strip_tags(trim(@$_POST["rcivil"])));
		$rprenom = ucwords(strtolower(strip_tags(trim(@$_POST["rprenom"]))));
		$rnom = str_majuscules(strip_tags(trim(@$_POST["rnom"])));
		$rtelf = strip_tags(trim(@$_POST["rtelf"]));
		$rfax = strip_tags(trim(@$_POST["rfax"]));
		$rtelp = strip_tags(trim(@$_POST["rtelp"]));
		$remail = strtolower(strip_tags(trim(@$_POST["remail"])));
		$rfunc = str_majuscules(strip_tags(trim(@$_POST["rfunc"])));
		$nota = strip_tags(trim(@$_POST["nota"]));
		$actif = strip_tags(trim(@$_POST["actif"]));
		if ($actif == "Oui")
			$actif = TRUE;
		else
			$actif = FALSE;
			
		$retourfiche=FALSE;

		if ($typaction == "add")
		{

			// Ajout de la fiche Site

			$conn = mysql_connect(DBHOST, DBUSER, DBPASS);
			mysql_select_db(DBNAME);
			$rech = "INSERT INTO " .TBSCLI;
			$rech .= " (scli_datecrea,scli_datemod,scli_codecli,scli_ste,scli_adr1,scli_adr2,scli_dep,scli_ville,scli_pays,scli_telf,scli_fax,scli_email,scli_rcivil,scli_rprenom,scli_rnom,scli_rtelf,scli_rfax,scli_rtelp,scli_remail,scli_rfunc,scli_nota,scli_actif) VALUES";
			$rech .= " ('$datea','$datea','$code','$ste','$adr1','$adr2','$dep','$ville','$pays','$telf','$fax','$email','$rcivil','$rprenom','$rnom','$rtelf','$rfax','$rtelp','$remail','$rfunc','$nota','$actif')";
			$rs = mysql_query($rech) or die(mysql_error());
			mysql_close($conn);
			
			$msg = "Fiche enregistrée avec succès !";
			$retourfiche = TRUE;
		}

		if ($typaction == "edit")
		{
			$existescliintouv = FALSE;

			// Si on ferme le site, il faut vérifier que rien n'est en cours
			if ($actif==FALSE)
			{
	
				// Vérifie si utilisé dans une fiche intervention en cours
				
				if (exist_scli_in_int_ouv($idscli) == TRUE)
				{
					$existescliintouv = TRUE;
					$msg = "Ce site client est déjà utilisé dans une fiche intervention encore ouverte.<br>Vous ne pouvez donc pas le fermer.<br>Merci de clore cette intervention.";			
					$retourfiche = FALSE;
				}

			}
			
			if  ($existescliintouv == FALSE)
			{
				// MAJ de la fiche Site
			
				$conn = mysql_connect(DBHOST, DBUSER, DBPASS);
				mysql_select_db(DBNAME);
				$rech = "UPDATE `" .TBSCLI. "` SET `scli_datemod`='".$datea."', `scli_codecli`='".$code."', `scli_ste`='".$ste."'";
				$rech.= ", `scli_adr1`='".$adr1."', `scli_adr2`='".$adr2."', `scli_dep`='".$dep."', `scli_ville`='".$ville."'";
				$rech.= ", `scli_pays`='".$pays."', `scli_telf`='".$telf."', `scli_fax`='".$fax."', `scli_email`='".$email."'";
				$rech.= ", `scli_rcivil`='".$rcivil."', `scli_rprenom`='".$rprenom."', `scli_rnom`='".$rnom."', `scli_rtelf`='".$rtelf."'";
				$rech.= ", `scli_rfax`='".$rfax."', `scli_rtelp`='".$rtelp."', `scli_remail`='".$remail."', `scli_rfunc`='".$rfunc."'";
				$rech.= ", `scli_nota`='".$nota."', `scli_actif`='".$actif."' WHERE `scli_id` = '".$idscli."'";
				$rs = mysql_query($rech) or die(mysql_error());
				mysql_close($conn);
	
				$msg = "Fiche modifiée avec succès !";
				$retourfiche = TRUE;
			}
		}
		
		if ($typaction == "del")
		{
			$existescliint = FALSE;
			$existesclicocl = FALSE;
			$msg="";

			// Vérifie si utilisé dans une fiche intervention
			
			if (exist_scli_in_int($idscli) == TRUE)
			{
				$existescliint = TRUE;
				$msg = "Ce site client est déjà utilisé dans une fiche intervention.<br>Vous ne pouvez donc pas le supprimer.";			
				$retourfiche = FALSE;
			}

			// Vérifie si utilisé dans un contrat signé
			
			if (exist_scli_in_cocl_signe($idscli) == TRUE)
			{
				$existesclicocl = TRUE;
				if ($msg<>"")
					$msg.="<br><br>";
				$msg = "Ce site client est déjà utilisé dans un contrat signé.<br>Vous ne pouvez donc pas le supprimer.";			
				$retourfiche = FALSE;
			}

			if  (($existescliint == FALSE) AND ($existesclicocl == FALSE))
			{
				// SUPPRESSION de la fiche Site
				
				$conn = mysql_connect(DBHOST, DBUSER, DBPASS);
				mysql_select_db(DBNAME);
	
				$rech = "DELETE FROM `" .TBSCLI. "` WHERE `scli_id` = '$idscli'";
				$rs = mysql_query($rech) or die(mysql_error());
				mysql_close($conn);
	
				$msg = "Fiche supprimée avec succès !";
				$retourfiche = TRUE;
			}
		}
?>

<html>
<head>
<meta http-equiv="Content-Type" content="text/html; charset=iso-8859-1">
<title>SMI - ESPACE PRIVE : Sites Client</title>

<!-- Feuille de style pour les affichages courants -->
<link href="../css/smi.css" rel="stylesheet" type="text/css">

</head>
<body>

<p align="center"><span class="titrepage"><?PHP echo $titre ?></span></p>
<p align="center">&nbsp;</p>
<p align="center" class="annot_gras_it"><?PHP echo $msg ?></p>

<?PHP if ($retourfiche == FALSE) 
{ 
?>
		<p align="center" class="annot_std_it">Retour à la fiche client dans 2 secondes...</p>
		<!-- Fermeture temporisée -->
		<script type="text/javascript">
		setTimeout("self.close('fscomp');",2000)
		</script>
		<p align="center">Sinon, <a href="javascript:void(0)" onClick="javascript:; self.close('fscomp');">cliquez ici</a> </p>
<?PHP 
} 
else 
{
?>
	<p align="center" class="annot_std_it">Retour à la saisie dans 2 secondes...</p>
	<!-- Raffraichissement temporisé -->
	<script type="text/javascript">
	window.setTimeout("location=('scli_maj.php?cc=<?PHP echo $code; ?>&td=lst');",2000)
	</script>
<?PHP
}
?>
</body>
</html>
